Page MenuHomePhabricator

Factor out eventgate-wikimedia factory into its own gerrit repo and use it for deployment pipeline
Closed, ResolvedPublic8 Story Points

Description

This will allow us to remove WMF specific config and code from the generic EventGate library & service, as well as allow us to have a better place from which to start our deployment pipeline.

Right now, the deployment pipeline is triggered by pushing a tag to the eventgate-ci gerrit repository.

  • Make EventGate smarter about how it loads factory modules
  • Create eventgate-wikimedia gerrit repository
  • Copy lib/factories/wikimedia-eventgate.js (and related config files) to eventgate-wikimedia repository
  • Copy .pipeline blubber config to eventgate-wikimedia repository
  • Set up CI to trigger docker image builds of eventgate-wikimedia
  • Use eventgate-wikimedia images in eventgate helm chart
  • Deploy new eventgate chart version with eventgate-wikimedia image
  • Remove wikimedia specific code from EventGate repository
  • Update documentation: https://wikitech.wikimedia.org/wiki/Event_Platform/EventGate/Administration

Event Timeline

Ottomata created this task.Jun 26 2019, 9:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2019, 9:07 PM
Ottomata moved this task from Backlog to Next Up on the Event-Platform board.Jun 27 2019, 2:53 PM
fdans triaged this task as Medium priority.Jul 1 2019, 3:43 PM
fdans moved this task from Incoming to Modern Event Platform on the Analytics board.
fdans added a project: Analytics-Kanban.
Ottomata moved this task from Next Up to In Progress on the Analytics-Kanban board.Jul 2 2019, 4:06 PM

Change 523804 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[integration/config@master] Trigger service-pipeline docker image builds of eventgate-wikimedia

https://gerrit.wikimedia.org/r/523804

Change 523804 merged by jenkins-bot:
[integration/config@master] Trigger service-pipeline docker image builds of eventgate-wikimedia

https://gerrit.wikimedia.org/r/523804

Mentioned in SAL (#wikimedia-releng) [2019-07-17T16:48:36Z] <James_F> Zuul: Register initial tests for eventgate-wikimedia T226668

Change 524215 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[eventgate-wikimedia@master] Use eventgate 0395b41 and event-schemas ba4a52b

https://gerrit.wikimedia.org/r/524215

Change 524215 merged by Ottomata:
[eventgate-wikimedia@master] Updates to run service-runner with proper entrypoint

https://gerrit.wikimedia.org/r/524215

Ottomata updated the task description. (Show Details)Jul 18 2019, 4:18 PM

Change 524263 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/deployment-charts@master] Use eventgate-wikimedia image for eventgate chart

https://gerrit.wikimedia.org/r/524263

Change 524263 merged by Ottomata:
[operations/deployment-charts@master] Use eventgate-wikimedia image for eventgate chart

https://gerrit.wikimedia.org/r/524263

Change 524306 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/deployment-charts@master] Use eventgate-wikimedia version for eventgate-{main,analytics} staging

https://gerrit.wikimedia.org/r/524306

Change 524306 merged by Ottomata:
[operations/deployment-charts@master] Use eventgate-wikimedia version for eventgate-{main,analytics} staging

https://gerrit.wikimedia.org/r/524306

Ottomata updated the task description. (Show Details)Jul 18 2019, 8:17 PM

Looking good in staging. I will deploy eventgate-wikimedia image to production eventgate-analytics and eventgate-main next week.

Ottomata set the point value for this task to 8.Jul 18 2019, 8:25 PM
Ottomata moved this task from In Progress to Ready to Deploy on the Analytics-Kanban board.

Mentioned in SAL (#wikimedia-operations) [2019-07-22T14:30:21Z] <ottomata> deploying refactored eventgate chart using eventgate-wikimedia image to eventgate-* services - T226668

Change 524795 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/deployment-charts@master] Use eventgate-wikimedia version for eventgate-{main,analytics} codfw and eqiad

https://gerrit.wikimedia.org/r/524795

Change 524795 merged by Ottomata:
[operations/deployment-charts@master] Use eventgate-wikimedia version for eventgate-{main,analytics} codfw and eqiad

https://gerrit.wikimedia.org/r/524795

Ottomata updated the task description. (Show Details)Jul 22 2019, 6:49 PM

Change 524840 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[eventgate-wikimedia@master] Add eventgate-wikimedia tests

https://gerrit.wikimedia.org/r/524840

Ottomata updated the task description. (Show Details)Jul 22 2019, 8:06 PM
Ottomata moved this task from Ready to Deploy to Done on the Analytics-Kanban board.

Change 524840 merged by Ottomata:
[eventgate-wikimedia@master] Add eventgate-wikimedia tests

https://gerrit.wikimedia.org/r/524840

Ottomata moved this task from Next Up to Done on the Event-Platform board.Jul 23 2019, 1:50 PM

Needs a task to kill off the eventgate-ci repo, but low priority. :-)

Nuria closed this task as Resolved.Jul 31 2019, 7:36 PM